//
// Copyright (C) 1991 Texas Instruments Incorporated.
//
// Permission is granted to any individual or institution to use, copy, modify,
// and distribute this software, provided that this complete copyright and
// permission notice is maintained, intact, in all copies and supporting
// documentation.
//
// Texas Instruments Incorporated provides this software "as is" without
// express or implied warranty.
//
// Created: MBN 04/04/89 -- Initial design and implementation
// Updated: LGO 01/05/90 -- Split into seperate files
//

#include <cool/char.h>		// Include char* specification header file

// strnremove -- removes everything between zero and end from 
// the given string.  Returns a pointer to the new string.

char* strnremove (char* s, long end) {
  int len = strlen(s);
  if (end < 0 ) return(NULL);
  if (end > len) end = len;
  for(int ind=0; s[ind]=s[end]; ind++) end++;
  return(s);
}

